// Copyright 2024 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.

#include "zephyr/devicetree.h"
#include "zephyr/sys/printk.h"
#include "zephyr/kernel.h"
// #include "pw_log/log.h"

int main() {
  // PW_LOG_INFO("Devicetree info:");
  // const char * str = DT_PROP_BY_IDX(DT_ROOT, compatible, 0);
  // PW_LOG_INFO(" compatible: %s", str);
  // str = DT_PROP_BY_IDX(DT_NODELABEL(cpu0), compatible, 0);
  // PW_LOG_INFO(" cpu0: %s", str);
  while (true) {
    printk("Hello %s! I'm a Bazel build\n", DT_PROP_BY_IDX(DT_ROOT, compatible, 0));
  }
  return 0;
}
