#include <cstring>

#include "pw_unit_test/framework.h"
#include "zephyr/devicetree.h"

namespace {

TEST(Dts, RootCompatibleIsZephyrPosix) {
    const char *compatible = DT_PROP(DT_ROOT, compatible);
    EXPECT_STREQ("zephyr,posix", compatible);
}

TEST(Dts, Cpu0IsNativePosix) {
    const char *compatible = DT_PROP(DT_NODELABEL(cpu0), compatible);
    EXPECT_STREQ("zephyr,native-posix-cpu", compatible);
}

}  // namespace